import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import PropTypes from 'prop-types';
import cx from 'classnames';
import { ALPHA, COLORS, BORDER_RADIUS, ELEVATION } from './constants';
import { jsx as _jsx } from "react/jsx-runtime";

var getClassNames = function getClassNames(_ref) {
  var color = _ref.color,
      alpha = _ref.alpha,
      rounded = _ref.rounded,
      elevation = _ref.elevation;
  var BASE_CLASS = 'sui-atom-panel';
  var COLOR_PANEL_CLASS = 'sui-atom-panel-color';
  return cx(BASE_CLASS, rounded !== BORDER_RADIUS.NONE && BASE_CLASS + "--rounded-" + rounded, COLOR_PANEL_CLASS, color && COLOR_PANEL_CLASS + "--" + color + "-" + alpha, elevation !== ELEVATION.NONE && BASE_CLASS + "--elevation-" + elevation);
};

var ColorPanel = function ColorPanel(_ref2) {
  var children = _ref2.children,
      props = _objectWithoutPropertiesLoose(_ref2, ["children"]);

  return /*#__PURE__*/_jsx("div", {
    className: getClassNames(props),
    children: children
  });
};

ColorPanel.displayName = 'ColorPanel';
export default ColorPanel;