import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import PropTypes from 'prop-types';
import ColorPanel from './ColorPanel';
import ImagePanel, { HORIZONTAL_ALIGNMENTS, VERTICAL_ALIGNMENTS } from './ImagePanel';
import { COLORS, ALPHA, BORDER_RADIUS, ELEVATION } from './constants';
import { jsx as _jsx } from "react/jsx-runtime";

var isImagePanel = function isImagePanel(_ref) {
  var src = _ref.src;
  return !!src;
};

var AtomPanel = function AtomPanel(_ref2) {
  var _ref2$alpha = _ref2.alpha,
      alpha = _ref2$alpha === void 0 ? ALPHA.CONTRAST : _ref2$alpha,
      _ref2$color = _ref2.color,
      color = _ref2$color === void 0 ? COLORS.DEFAULT : _ref2$color,
      _ref2$elevation = _ref2.elevation,
      elevation = _ref2$elevation === void 0 ? ELEVATION.NONE : _ref2$elevation,
      _ref2$horizontalAlign = _ref2.horizontalAlign,
      horizontalAlign = _ref2$horizontalAlign === void 0 ? HORIZONTAL_ALIGNMENTS.CENTER : _ref2$horizontalAlign,
      _ref2$rounded = _ref2.rounded,
      rounded = _ref2$rounded === void 0 ? BORDER_RADIUS.NONE : _ref2$rounded,
      src = _ref2.src,
      _ref2$verticalAlign = _ref2.verticalAlign,
      verticalAlign = _ref2$verticalAlign === void 0 ? VERTICAL_ALIGNMENTS.CENTER : _ref2$verticalAlign,
      props = _objectWithoutPropertiesLoose(_ref2, ["alpha", "color", "elevation", "horizontalAlign", "rounded", "src", "verticalAlign"]);

  return isImagePanel({
    src: src
  }) ? /*#__PURE__*/_jsx(ImagePanel, _extends({
    color: color,
    elevation: elevation,
    horizontalAlign: horizontalAlign,
    rounded: rounded,
    src: src,
    verticalAlign: verticalAlign
  }, props)) : /*#__PURE__*/_jsx(ColorPanel, _extends({
    alpha: alpha,
    color: color,
    elevation: elevation,
    rounded: rounded
  }, props));
};

AtomPanel.displayName = 'AtomPanel';
export default AtomPanel;
export { HORIZONTAL_ALIGNMENTS as atomPanelHorizontalAlign, VERTICAL_ALIGNMENTS as atomPanelVerticalAlign, COLORS as atomPanelColors, ALPHA as atomPanelAlpha, BORDER_RADIUS as atomPanelRounded, ELEVATION as atomPanelElevation };